Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d

From: Philipp Stephani <[email-masked]>
Date: Sat, 22 Apr 2017 19:24:05 +0000

<[email-masked]> schrieb am Fr., 21. Apr. 2017 um 05:28 Uhr:

> tags 26360 patch
> quit
>
> Philipp Stephani <[email-masked]> writes:
> >
> > Here's a patch (which includes a couple of other commands).
>
> Patch looks good, except the test seems redundant to me.  I don't think
> it's useful to test that a command is defined, or testing that specific
> keybindings have been set (i.e., no need to test again that `defun' or
> `define-key' are working).

I've used a bit of TDD for this patch, thus the verbose test. Unfortunately
the actual functionality is very hard to test :-(

>   Also, it would fail if run from a
> non-default emacs configuration that has changed the keybindings.
>

True, but the main use of the tests is for continuous integration, where
the environment is controlled.